KSMBD.ADDUSER(8)

NAME
ksmbd.adduser - configure users for ksmbdpwd.db of ksmbd.mountd

SYNOPSIS
ksmbd.adduser [-v] {-a USER | -u USER} [-p PWD] [-i PWDDB] [-c SMBCONF]
ksmbd.adduser [-v] {-d USER} [-i PWDDB] [-c SMBCONF]
ksmbd.adduser {-V | -h}

DESCRIPTION
ksmbd.adduser configures users for ksmbdpwd.db(5) user database of ksmbd.mountd(8) user mode daemon. ksmbd.adduser can parse ksmbd.conf(5) configuration file so as to guard against deletion of users that are depended on. ksmbd.adduser notifies ksmbd.mountd of changes if it had made any.

OPTIONS

-a, --add-user=USER
    Add USER to user database. USER must be UTF-8 and [1, 48) bytes. USER cannot contain colon (:) or newline.

-d, --del-user=USER
    Delete USER from user database.

-u, --update-user=USER
    Update USER in user database.

-p, --password=PWD
    Use PWD as user password instead of prompting. PWD must be UTF-8 and [0, 129) bytes. PWD cannot contain newline.

-i, --import-users=PWDDB
    Use PWDDB as user database instead of @sysconfdir@/ksmbd/ksmbdpwd.db. This option does nothing by itself.

-c, --config=SMBCONF
    Use SMBCONF as configuration file instead of @sysconfdir@/ksmbd/ksmbd.conf.

-v, --verbose
    Be verbose.

-V, --version
    Output version information and exit.

-h, --help
    Display this help and exit.

EXIT STATUS
The exit status is 0 on success and 1 on failure. Failure to notify ksmbd.mountd of changes has no effect on exit status.

COPYRIGHT
Copyright © 2015-2022 ksmbd-tools contributors. License GPLv2: GNU GPL version 2 <https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

REPORTING BUGS
For bug reports, use the issue tracker at https://github.com/cifsd-team/ksmbd-tools/issues.

SEE ALSO

User Database
    ksmbdpwd.db(5)

Configuration File
    ksmbd.conf(5)

Utilities
    ksmbd.addshare(8), ksmbd.control(8), ksmbd.mountd(8)